# Приложения по умолчанию
set -gx EDITOR nvim
set -gx VISUAL $EDITOR
set -gx BROWSER /usr/bin/vivaldi
set -gx TERMINAL kitty
set -gx PAGER /usr/bin/bat
set -gx GTK_THEME Colloid-Green-Dark-Compact-Gruvbox
set -gx AUR_HELPER yay # fish


#starship init fish | source
zoxide init fish | source
#set fish_greeting

#Алиасы
#alias ls="ls --color=yes --group-directories-first"
#alias ls="exa --long --all --group"
alias ls="exa --icons --group-directories-first"
alias pick_color="sxcs"
alias df="duf"
alias find="fd"
alias du="ncdu"
alias dv="yt-dlp"
#alias ping="gping"
#############alias updatepkg="yay -Syu --editmenu"
alias updatepkg="arch-updater"
alias yy="yay --editmenu"
alias pkginfo="pacman -Qq | fzf --preview 'pacman -Qil {} | bat -fpl yml' --layout=reverse --bind 'enter:execute(pacman -Qil {} | less)'"
#alias cat="bat -p --theme gruvbox-dark"
alias cat="bat"
#alias rm="trash-put"
alias rm="vx -f"
alias vxs="vx -s"
alias vxl="vx -l"
#alias rm="trashy put"
#alias rl="trashy list | fzf --multi | awk '{$1=$1;print}' | rev | cut -d ' ' -f1 | rev | xargs trashy restore --match=exact --force"
#alias re="trashy empty --all"
#alias cat="ccat"
alias kdiff="kitty +kitten diff"
alias icat="kitty +kitten icat"
alias music="ncmpcpp"
alias radio1="pyradio"
alias radio="goradion -s ~/.config/pyradio/stations.csv"
alias youtube="yt-dlp"
#alias url="yourls"
alias temp="watch sensors"
alias nv="nvim"
alias fm="yazi"
alias fz="fd . | fzf --preview 'bat --style=numbers --color=always {} 2>/dev/null' | xargs -r nvim"
alias micro="nvim"
alias sudo="doas"
alias locate="plocate -i"
#alias ssh="TERM=xterm ssh"
alias blc="bluetuith --connect-bdaddr F4:4E:FD:45:0C:39"
alias gpt="tgpt"

if test "$TERM" = xterm-kitty
    alias ssh="kitty +kitten ssh"
end

if test -n "$XTERM_VERSION"
    transset-df --id "$WINDOWID" >/dev/null
end

# CONFIGS
alias ebspwm="nvim ~/.config/bspwm/bspwmrc"
alias epolybar="nvim ~/.config/polybar/config.ini"
alias equtebrowser="nvim ~/.config/qutebrowser/config.py"

bind \es 'fish_commandline_prepend doas'

# Вывод текущей погоды при запуке терминала
#echo -e 
